<?xml version='1.0' encoding="ISO-8859-1" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="ISO-8859-1"/>

<!--<xsl:variable name="baseActionURL"><xsl:value-of select="ROOT/baseActionURL" /></xsl:variable>-->
<xsl:param name="baseActionURL"/>
<xsl:param name="downloadURL"/>  


<xsl:template name="content">
	
		
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
		<xsl:for-each select="/ROOT/CONTENT/DIRECTORY">	
			<xsl:sort select="@label"/>
			<tr> 
				<td width="1">			
					<input type="checkbox" name="listeFic" value="{@label}"/>
				</td>		
				<td width="1">
					<a href="{$baseActionURL}?directory={@link}"><img src="media/org/esupportail/portal/channels/CWebdav/close_folder.gif" width="27" height="26" border="0"/></a>
				</td>
				<td>
					<a class="uportal-navigation-channel" href="{$baseActionURL}?directory={@link}"><xsl:value-of select="@label"/></a>					
				</td>
				<td>&#160;</td>
				<td>&#160;</td>
			</tr>		
		</xsl:for-each>
	
	
		<xsl:for-each select="/ROOT/CONTENT/FILE">
			<xsl:sort select="@label"/>
			<xsl:variable name="openlink"><xsl:value-of select="$downloadURL"/>?file=<xsl:value-of select="@label_download"/></xsl:variable>
			<tr> 
				<td width="1">
					<input type="checkbox" name="listeFic" value="{@label}"/>
				</td>
				<td width="1">
					<a class="uportal-navigation-channel" href="{$openlink}"><img src="media/org/esupportail/portal/channels/CWebdav/file_icone.gif" width="23" height="28" border="0"/></a>
				</td>
				<td>
					<a class="uportal-navigation-channel" href="{$openlink}"><xsl:value-of select="@label"/></a>
				</td>
				<td class="uportal-crumbtrail">
					<xsl:value-of select="@weight"/>
				</td>
				<td class="uportal-crumbtrail">
					<xsl:value-of select="@dateLastUpdate"/>/<xsl:value-of select="@monthLastUpdate"/>/<xsl:value-of select="@yearLastUpdate"/>&#160;<xsl:value-of select="@hourLastUpdate"/>:<xsl:value-of select="@minuteLastUpdate"/>
				</td>
			</tr>
		</xsl:for-each>	
		</table>
	
</xsl:template>
</xsl:stylesheet>