<?xml version='1.0' encoding='ISO-8859-1' ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
   <xsl:output method="html" encoding="ISO-8859-1" />

   <xsl:template name="errorBar" > 
       <xsl:for-each select = "/ROOT/ERRORS/ERROR">      
 		  <xsl:if test = "@channelCode=102"><font class="uportal-channel-strong">La requte est en cours de traitement.<br/></font></xsl:if>
		  <xsl:if test = "@channelCode=422"><font class="uportal-channel-strong">Entit impossible  traiter.<br/></font></xsl:if>
		  <xsl:if test = "@channelCode=423"><font class="uportal-channel-strong">Impossible de traiter la requte :<br/> un verrou est pos.<br/></font></xsl:if>
		  <xsl:if test = "@channelCode=424"><font class="uportal-channel-strong">Impossible de traiter la requte :<br/> echec de dpendance.<br/></font></xsl:if>
		  <xsl:if test = "@channelCode=507"><font class="uportal-channel-strong">Impossible de traiter la requte :<br/> mmoire insuffissante.<br/></font></xsl:if>
		  <xsl:if test = "@channelCode=1001"><font class="uportal-channel-strong">Serveur indisponible.<br/></font></xsl:if>
		  <xsl:if test = "@channelCode=1002"><font class="uportal-channel-strong">Problme dans l'application.<br/></font></xsl:if>
		  <xsl:if test = "@channelCode=1003"><font class="uportal-channel-strong">Impossible de traiter la requte :<br/> un fichier/rpertoire du mme nom existe dj.<br/></font></xsl:if>
		  <xsl:if test = "@channelCode=1004"><font class="uportal-channel-strong">Un fichier ou rpertoire ne peut contenir que les caractres<br/> a-z A-Z 0-9 . _ -.<br/></font></xsl:if>
		  <xsl:if test = "@channelCode=1005"><font class="uportal-channel-strong">Le fichier spcifi n'existe pas.<br/></font></xsl:if>		  
		  <xsl:if test = "@channelCode=1006"><font class="uportal-channel-strong">Vous devez choisir un fichier ou un rpertoire au minimum.<br/></font></xsl:if>		  
		  <xsl:if test = "@channelCode=1007"><font class="uportal-channel-strong">Le rpertoire n'est pas vide.<br/></font></xsl:if>		  
		  <xsl:if test = "@channelCode=1008"><font class="uportal-channel-strong">Impossible de supprimer la slction.<br/></font></xsl:if>
		  <xsl:if test = "@channelCode=1009"><font class="uportal-channel-strong">Vous devez choisir un fichier ou un rpertoire au maximum.<br/></font></xsl:if>	
		  <xsl:if test = "@channelCode=1010"><font class="uportal-channel-strong">Impossible de renommer la slction.<br/></font></xsl:if>		  
		  <xsl:if test = "@channelCode=1011"><font class="uportal-channel-strong">Impossible de crer le rpertoire.<br/></font></xsl:if>			  
		  <xsl:if test = "@channelCode=1012"><font class="uportal-channel-strong">Impossible de lire le fichier demand.<br/></font></xsl:if>		  
		  <xsl:if test = "@channelCode=1013"><font class="uportal-channel-strong">Impossible de copier la slction.<br/></font></xsl:if>		  
		  <xsl:if test = "@channelCode=1014"><font class="uportal-channel-strong">Impossible de dplacer la slction.<br/></font></xsl:if>		  
		  <xsl:if test = "@channelCode=1015"><font class="uportal-channel-strong">Impossible d'envoyer le fichier.<br/></font></xsl:if>		  
		  <xsl:if test = "@channelCode=1016"><font class="uportal-channel-strong">Erreur dans le parametrage du canal<br/>Veuillez contacter votre administrateur.</font></xsl:if>		  
		  <xsl:if test = "@channelCode=1017"><font class="uportal-channel-strong">Vous ne pouvez pas envoyer ce fichier<br/>Il est vide ou inexistant.</font></xsl:if>		  
		  <xsl:if test = "@channelCode=1018"><font class="uportal-channel-strong">Impossible de lire depuis l'emplacement source<br/>Un fichier ou rpertoire a d tre supprim.</font></xsl:if>		  		  
		  <xsl:if test = "@channelCode=1019"><font class="uportal-channel-strong">Impossible de coller la slection :<br/> vous essayez de copier un rpertoire dans un de ses fils.</font></xsl:if>		  
		  <xsl:if test = "@channelCode=1020"><font class="uportal-channel-strong">Impossible de coller la slection :<br/>un fichier/rpertoire du mme nom existe dj.<br/></font></xsl:if>		  		  
		  <xsl:if test = "@channelCode=1021"><font class="uportal-channel-strong">Vous avez annul l'opration en cours.</font></xsl:if>		  		  		  
		  <xsl:if test = "@channelCode=1022"><font class="uportal-channel-strong">Quota dpass : plus d'espace disponible.</font></xsl:if>		  		  		  
       </xsl:for-each>
	  
	  <xsl:if test="/ROOT/ERRORS/ERROR/@httpCode!=-1">
	  	code Http gnr : <xsl:value-of select="/ROOT/ERRORS/ERROR/@httpCode"/>	  
	  </xsl:if>
   
</xsl:template>
</xsl:stylesheet>